spring:
  datasource:
    url: jdbc:mysql://rm-bp1qkwy173koi066x.mysql.rds.aliyuncs.com:3306/rdsliftmanager?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&allowPublicKeyRetrieval=true&serverTimezone=Asia/Shanghai
    username: tykj
    password: Tdkg-13250409
    driver-class-name: com.mysql.cj.jdbc.Driver

  #redis缓存配置
  redis:
    database: 0 #数据库索引，默认为0
    host: r-bp1j7odydtfqtprdvm.redis.rds.aliyuncs.com #(内网地址)服务器地址
    port: 6379 #端口
    password: Gdkc-290431 #验证密码
    jedis:
      pool:
        max-active: 8 #最大连接数
        max-idle: 8 #最大空闲链接
        max-wait: 20000ms
        min-idle: 0
    timeout: 600000s

  #消息队列配置
  activemq:
    #ActiveMQ通讯地址
    broker-url: tcp://172.16.24.145:61616
    #用户名
    user: admin
    #密码
    password: admin
    #true 表示使用内置的MQ，false则连接服务器: 消息持久化就必须spring.activemq.in-memory=false选项
    in-memory: false
    packages:
      #信任所有的包: 如果直接发送对象消息，那么必须设置spring.activemq.packages.trust-all为true
      trust-all: true
    pool:
      #true表示使用连接池；false时，每发送一条数据创建一个连接
      enabled: true
      #连接池最大连接数
      max-connections: 30
      #空闲的连接过期时间，默认为30秒
      idle-timeout: 3000s
  jms:
    #如果是点对点（queue），那么此处默认应该是false，如果发布订阅，那么一定设置为true
    pub-sub-domain: false

#aliyun OSS服务配置信息，加载到SystemConfiguration
aliyun:
  oss:
    endpoint: http://oss-cn-hangzhou.aliyuncs.com
    bucketName: ty-oss-file
    accessKeyId: LTAI4G1iLTczu8JxM2En57gY
    accessKeySecret: VHeRj3C2br87Uh447ruHsSTvYSDWeC